
#ifndef _DXERR_H_
#define _DXERR_H_

#include "defs.h"

// Test if a HRESULT indicates failure
extern BOOL Failed(HRESULT hr);
extern BOOL Failed(HRESULT hr, char* pszMsg);

extern void TraceMsg(char* pszMsg, HRESULT hr);

// Return an appropriate error message for a DirectX HRESULT
extern char* ErrorToString(HRESULT hr);

// Return an appropriate error message for a DirectSound HRESULT
extern char* ErrorToStringDS(HRESULT hr);

// Return an appropriate error message for a DirectDraw HRESULT
extern char* ErrorToStringDD(HRESULT hr);

// Return an appropriate error message for a DirectD3D HRESULT
extern char* ErrorToStringD3D(HRESULT hr);

#endif

